By today’s standards on the web, it is preferred to hide sensitive or graphic images in your blog or website. Major platforms like Facebook and Instagram shows a content warning on which user have to click to view the content.

We have developed a simple plugin / gadget for Blogger that can easily hide images that are tagged as sensitive. The visitors will have to then click on the warning to reveal the sensitive content.

Hide Sensitive Content

This plugin works in all standard web browsers in both desktop and mobile. In iOS devices, user will be prompted to open the hidden image in a new browser tab.

How to use Sensitive Content Warning Plugin

  1. First install the plugin to your Blogger blog by clicking “Add to Blogger” button below.
  2. Then edit the blog post containing sensitive or graphic content.
  3. Switch to HTML mode in the Blogger post editor and scroll to the code of the image.
  4. Add the following code: class=”sensitive” to the anchor element wrapping the image. See the screenshot for reference.
    Sensitive Content Warning
  5. Save the blog post. The Sensitive Content Warning plugin should now be active in your blog.

Installation

To install this plugin, just click the button below. It will take you to Blogger website where you can select a blog to install the plugin.

Once the plugin is installed, you should find it in Layout section of your Blogger blog dashboard. Make sure the plugin is added in a section that is visible in blog posts page.

If you have any feedback or trouble with this plugin, feel free to post in our Blogger Community.

Did you find this tool helpful? Follow us on Facebook for more blogging tools, guides and tips.